=== debian/changelog ===
ngcp-ngcpcfg (14.0.1.1+0~mr14.0.1.1) unstable; urgency=medium

  [ Guillem Jover ]
  * [c211141] MT#60683 patch: Remove temporary import file

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 09 Dec 2025 15:33:17 +0100

ngcp-ngcpcfg (14.0.1.0+0~mr14.0.1.0) unstable; urgency=medium

  [ Rene Krenn ]
  * [e191490] MT#63530 tolerate duplicate cdr tag data

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Nov 2025 16:57:16 +0100

ngcp-ngcpcfg (14.0.0.0+0~mr14.0.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [39bfbf5] MT#62899 Update packaging for Debian trixie
  * [183e809] MT#56004 functions: Add a fallback value for NGCPCFG_PID
  * [fb385c9] MT#63522 patch: Add multi-site support

  [ Jose Su ]
  * [1cde0d2] MT#63242 Fix typo in restore_permissions

  [ Richard Fuchs ]
  * [04ccd56] MT#58458 make python checker happy
  * [26de469] MT#58458 tests: use separate state dir
  * [b765ca3] MT#58458 tests: remove duplicate .git extract
  * [eec0b4d] MT#58458 skip etckeeper during tests
  * [daf2351] MT#58458 don't touch systemd during tests
  * [76cb566] MT#58458 don't touch systemd during dry run
  * [f22aff2] MT#58458 skip DB sync during dry run
  * [e69c8d8] MT#58458 skip commit actions during dry run
  * [01ceb67] MT#58458 use mapfile for reading git status
  * [786bf64] MT#58458 tolerate non existent directory
  * [a53c7a1] MT#58458 support full --dry-run

  [ Marco Capetta ]
  * [04e6f0e] MT#63514 Add sites support to get_all_ips_for_host script

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:45:48 +0200

ngcp-ngcpcfg (13.5.0.0+0~mr13.5.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [3c87cea] MT#62763 Fix shellcheck issues
  * [6220059] MT#62763 tests: Specify signals by name to trap

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 20 Jun 2025 10:44:46 +0200

ngcp-ngcpcfg (13.4.0.0+0~mr13.4.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [b5b92ca] MT#62053 add "objects" output format for RTP intfs
  * [2b40e7b] MT#62053 add support for RTP port ranges
  * [ee99a44] MT#62053 fix spacing

  [ Guillem Jover ]
  * [67564ac] MT#62325 Remove support for Debian bullseye release and older
  * [a09d8f4] MT#62508 services: Remove any systemd broken service symlinks

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 10 Apr 2025 08:29:11 +0200

ngcp-ngcpcfg (13.3.0.0+0~mr13.3.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [bd89e3f] MT#61451 GH: raise workflow actions to v4

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 28 Jan 2025 15:15:50 +0100

ngcp-ngcpcfg (13.2.0.0+0~mr13.2.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [ae2d6e6] MT#61052 NGCP::Template::Plugin::Utils: Do not generate bogus YAML on empty string
  * [4371e41] MT#61459 Do not use Perl indirect object syntax
  * [03f4cda] MT#61568 Update gitignore entries
  * [3b5491a] MT#61568 debian: Switch to Rules-Requires-Root no

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 09 Dec 2024 11:28:07 +0100

ngcp-ngcpcfg (13.1.0.0+0~mr13.1.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [125ab4c] MT#60611 helper/del-value: Delete misplaced APPEND handling
  * [d59b6c7] MT#60917 NGCP::Template::Object: Do not use sort on return

  [ Michael Prokop ]
  * [eb1cd98] MT#60865 Fix shellcheck script issues
  * [0bcfc56] MT#60815 lib/set_debian_info: support Debian/trixie

  [ Rene Krenn ]
  * [fda5db9] MT#61052 support rendering yaml

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 01 Oct 2024 10:01:08 +0200

ngcp-ngcpcfg (13.0.0.0+0~mr13.0.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [ec89a60] MT#60508 sync-grants warn on non-existing function/procedure

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 28 Jul 2024 12:03:56 +0200

ngcp-ngcpcfg (12.5.0.0+0~mr12.5.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [04243d3] MT#59588 scripts/commit: source /etc/ngcp-roles for SPCE cases

  [ Guillem Jover ]
  * [c7447e7] MT#59859 Discontinue Rainbow platform merging into NGCP

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 22 May 2024 14:32:39 +0200

ngcp-ngcpcfg (12.4.0.0+0~mr12.4.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [a58e66b] MT#59308 commit: Do not include the date in the commit message
  * [d207a67] MT#59308 commit: Include reason in «ngcpcfg apply» commit messages
  * [367bbeb] MT#45670 NGCP::Template::Object: Add new get_hosts() method
  * [090653e] MT#58014 decrypt: Source logs instead of open-coding its contents
  * [6e5628d] MT#58014 encrypt, decrypt: Clarify cryptographic terms
  * [c4f6293] MT#58014 encrypt, decrypt: Do not use an intermediate unencrypted tarfile
  * [5d1b3dc] MT#58014 Refactor OpenPGP functions into a new functions file
  * [127e6a4] MT#58014 Replace GnuPG usage with Stateless OpenPGP CLI

  [ Michael Prokop ]
  * [12f91d4] MT#59492 Use reserved IPs following RFC5737

  [ Kirill Solomko ]
  * [52605d6] MT#59588 scripts/commit add grants/creds sync support for 3308

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 15 Mar 2024 08:49:21 +0100

ngcp-ngcpcfg (12.3.0.0+0~mr12.3.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 15 Jan 2024 14:48:13 +0100

ngcp-ngcpcfg (12.2.0.0+0~mr12.2.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [0f8ad35] MT#58352 helper/sync-db add lb nodes outbound_socket support
  * [9d7fdb3] MT#58352 lb_and_extra_sockets_sync() fix undef extra_socket
  * [dbd7bb3] MT#58696 sync-db auto lb outbound sockets only sip_ext

  [ Guillem Jover ]
  * [02055b8] MT#58014 encrypt: Avoid remove leading / messages from tar

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 29 Nov 2023 13:37:57 +0100

ngcp-ngcpcfg (12.1.0.0+0~mr12.1.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [def4d75] TT#124273 github actions: replace bullseye with bookworm

  [ Guillem Jover ]
  * [670334b] MT#58356 Update packaging for bookworm


