=== debian/control ===
Source: ngcp-ngcpcfg
Section: admin
Priority: optional
Maintainer: Sipwise Development Team <support@sipwise.com>
Homepage: https://www.sipwise.com/
Standards-Version: 4.7.2
Build-Depends:
 asciidoctor,
 debhelper-compat (= 13),
 dh-sequence-bash-completion,
 fakeroot,
 git,
 libcapture-tiny-perl,
 libclone-perl,
 libconfig-general-perl,
 libconfig-tiny-perl,
 libdata-validate-ip-perl,
 libdatetime-perl,
 libdbd-mysql-perl,
 libdbi-perl,
 libhash-merge-perl,
 libio-interface-perl,
 libipc-system-simple-perl,
 libmime-base64-perl,
 libnet-netmask-perl,
 libreadonly-perl,
 libregexp-ipv6-perl,
 libsocket-perl,
 libsys-hostname-long-perl,
 libtemplate-perl,
 libterm-readpassword-perl,
 libyaml-libyaml-perl,
 pkwalify,
 python3-minimal (>= 3.9~),
 python3-pytest,

Package: libngcp-template-perl
Section: perl
Architecture: all
Depends:
 libtemplate-perl,
 ${misc:Depends},
 ${perl:Depends},
Replaces:
 ngcp-ngcpcfg,
Description: NGCP subclass for Template Toolkit
 This package contains a Template subclass to be used for any NGCP template
 files, which will setup all necessary configuration options for the class,
 and inject an "ngcp" object in the variables providing NGCP-specific
 functionality to be used from within the templates.

Package: ngcp-ngcpcfg
Architecture: all
Depends:
 etckeeper,
 file,
 git (>= 1:1.7.2.5-3~),
 libcapture-tiny-perl,
 libclone-perl,
 libconfig-general-perl,
 libconfig-tiny-perl,
 libdata-validate-ip-perl,
 libdatetime-perl,
 libdbd-mysql-perl,
 libdbi-perl,
 libhash-merge-perl,
 libio-interface-perl,
 libipc-system-simple-perl,
 libmime-base64-perl,
 libnet-netmask-perl,
 libngcp-template-perl,
 libregexp-ipv6-perl,
 libsocket-perl,
 libsys-hostname-long-perl,
 libterm-readpassword-perl,
 libyaml-libyaml-perl,
 ngcp-system-tools,
 pkwalify,
 psmisc,
 ${misc:Depends},
 ${perl:Depends},
Description: central and templated based Configuration Management System for NGCP platforms
 ngcp-ngcpcfg is a Configuration Management System providing central
 configuration and template based handling of configuration
 files, featuring handling of local configuration changes and
 updates as well as synchronisation between servers.

Package: ngcp-ngcpcfg-locker
Architecture: all
Depends:
 ngcp-ngcpcfg,
 sqop,
 ${misc:Depends},
Description: Encrypt and decrypt feature for ngcp-ngcpcfg
 This package provides the encrypt and decrypt options for
 usage via ngcpcfg.

Package: ngcp-ngcpcfg-testsuite
Architecture: all
Depends:
 ngcp-ngcpcfg,
 ${misc:Depends},
Description: testsuite for ngcpcfg
 This package provides a testsuite to automatically test ngcpcfg
 features and detect any possible breakages.
